<?php

use Illuminate\Support\Facades\Broadcast;

Broadcast::channel('dashboard.{tenantId}', function ($user, $tenantId) {
    // Retorna true se o usuário pertencer ao Tenant que está tentando ouvir
    return (int) $user->tenant_id === (int) $tenantId;
});
